# This RPM spec file exists primarily to enable CI/CD pipelines and automatic
# testing of built RPMs. This RPM can be used as a suitable baseline for a
# proper distribution package, but changes should be made to suit the needs of
# the package.

%define debug_package %{nil}


Name:    yggdrasil
Version: 0.2.6
Release: 0.20241114183716176389.pr280.12.gb814efd%{?dist}
Summary: Message dispatch agent for cloud-connected systems
License: GPLv3
URL: https://github.com/redhatinsights/yggdrasil

Source: yggdrasil-0.2.6.tar.gz

ExclusiveArch: %{go_arches}

BuildRequires: git-core
BuildRequires: golang
BuildRequires: pkgconfig(systemd)


%description
yggdrasil is pair of utilities that register systems with RHSM and establishes
a receiving queue for instructions to be sent to the system via a broker.

%prep
%autosetup -n yggdrasil-0.2.6


%build
make PREFIX=%{_prefix} \
     SYSCONFDIR=%{_sysconfdir} \
     LOCALSTATEDIR=%{_localstatedir} \
     SHORTNAME=ygg \
     LONGNAME=yggdrasil \
     PKGNAME=@PKGNAME@ \
     BRANDNAME=yggdrasil \
     TOPICPREFIX=yggdrasil \
     VERSION=%{version} \
     DATAHOST= \
     'PROVIDER='


%install
make PREFIX=%{_prefix} \
     SYSCONFDIR=%{_sysconfdir} \
     LOCALSTATEDIR=%{_localstatedir} \
     DESTDIR=%{buildroot} \
     SHORTNAME=ygg \
     LONGNAME=yggdrasil \
     PKGNAME=@PKGNAME@ \
     BRANDNAME=yggdrasil \
     TOPICPREFIX=yggdrasil \
     VERSION=%{version} \
     DATAHOST= \
     'PROVIDER=' \
     install


%files
%doc README.md doc/tags.toml
%{_bindir}/ygg
%{_sbindir}/yggd
%config(noreplace) %{_sysconfdir}/yggdrasil/config.toml
%{_unitdir}/yggd.service
%{_datadir}/bash-completion/completions/*
%{_mandir}/man1/*
%{_prefix}/share/pkgconfig/yggdrasil.pc
%{_libexecdir}/yggdrasil


%changelog
* Thu Nov 14 2024 Packit <hello@packit.dev> - 0.2.6-0.20241114183716176389.pr280.12.gb814efd
- build: Update Makefile to version 0.2.6 (Joe VLcek)
- fix: Update bundled version of go-yaml to v2.2.4 (Joe VLcek)
- refactor: drop call to rand.Seed (Link Dupont)
- revert: revert the "v1" module (Link Dupont)
- refactor!: add "v1" to module (Link Dupont)
- feat(worker): Add debug logging to startWorker (Link Dupont)
- feat(echo): set log level according to env (Link Dupont)
- build: update build requirements (Link Dupont)
- ci: Add Packit (Link Dupont)
- fix: Update instruction for hacking yggdrasil-0.2 (Jiri Hnidek)
- style: Correct typos in README (Link Dupont)
- docs: Clarify the worker config file path (Link Dupont)
